Subject: bug#11748: "Asia" Timezone

From: Boruch Baum <[email-masked]>
Date: Tue, 19 Jun 2012 16:00:54 -0400

I was recently showing off ...
and I entered the following command

$ date && TZ=Asia/Moscow date
Tue Jun 19 15:48:14 EDT 2012
Tue Jun 19 19:48:14 Asia 2012
$ TZ=Europe/Moscow date
Tue Jun 19 23:48:59 MSK 2012

My initial reaction, besides some embarrassment
at getting the continent wrong (and most of
Russia's timezone are in Asia), is that this
is a bug in the coreutils date command.
However, I've also posted this info to the
iana timezone mailing list, just in case.

It's a double bug. The date command is printing
out a non-existent timezone, and it's using GMT for
"Asia".

-- 
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0